******VIEW.CMD
SET EXACT ON
ERASE
STOR 0 TO OPTION
ERASE
DO WHIL OPTION<4
ACCE ' Would you like to skip the instructions at the beginning? (Y/N)' TO FLD
ERAS
STOR !(FLD) TO FLD
IF FLD = 'N'
ERAS
REMARK Press the ESCAPE key if you would like to quit viewing
?
REMARK before you reach the end of your master file.
?
REMARK Press any key to continue.
WAIT
ERASE
REMARK When you are viewing your master file, press any key when you
?
REMARK are prompted by the WAITING command.
?
REMARK Press any key to continue.
WAIT
ERASE
ENDI
?' Sort on which field?'
?
?' Press key number 1 to sort on DISC:NO. '
?
?' Press key number 2 to sort on FILE:NAME. '
?
?' Press key number 3 to sort on EXTENT. '
?
?' Press key number 4 to return to main menu. '
?
REMA Which option would you like to use? (1 - 4)
WAIT TO INPUT
STOR VAL(INPUT) TO OPTION
ERAS
IF OPTION<1
ERAS
?' INVALID OPTION '
?
?' VALID OPTIONS ARE 1,2,3 AND 4 '
?
?' REENTER OPTION '
?
?' Press any key to return to the main menu.'
WAIT
RETU
ENDI
IF OPTION=1
REMA PLEASE STAND BY
USE B:FILE INDEX B:DISC
ERAS
DISP ALL
?' Press any key to return to the main menu.'
WAIT
RETU
ENDI
IF OPTION=2
REMA PLEASE STAND BY
USE B:FILE INDEX B:FINAME
ERAS
DISP ALL
?' Press any key to return to the main menu.'
WAIT
RETU
ENDI
IF OPTION=3
REMA PLEASE STAND BY
USE B:FILE INDEX B:EXT
ERAS
DISP ALL
?' Press any key to return to the main menu.'
WAIT
RETU
ENDI
IF OPTION=4
RETU
ENDI
ENDD
IF OPTION>4
?' INVALID OPTION '
?
?' VALID OPTIONS ARE 1,2,3 AND 4 '
?
?' REENTER OPTION '
?
?' Press any key to return to the main menu.'
WAIT
RETU
ENDI
RETU
 Which option would you like to use?(0 - 9)
?
WAIT  TO INPUT
STOR VAL(INPUT) TO CHOICE
DO CASE
CASE CHOICE=0
RET